// FixVTSDlg.h : header file
//

#if !defined(AFX_FIXVTSDLG_H__8849CA41_8885_4178_8047_BB28B35DE116__INCLUDED_)
#define AFX_FIXVTSDLG_H__8849CA41_8885_4178_8047_BB28B35DE116__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Utils.h"
#include "VTSClean.h"

/////////////////////////////////////////////////////////////////////////////
// CFixVTSDlg dialog

class CFixVTSDlg : public CDialog, public CVTSClean
{
// Construction
public:
	CFixVTSDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CFixVTSDlg)
	enum { IDD = IDD_FIXVTS_DIALOG };
	CButton	m_BogusButton;
	CButton	m_InPlaceButton;
	CProgressCtrl	m_Progress;
	CButton	m_UnrefButton;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFixVTSDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

public:
	CSettings	TheSettings;

	void	OnDropFiles(HDROP hDropInfo) ;
	int		OpenFile(const char* FileName);
	
	void	EnableUI(bool Enable);

	bool				m_CommandLineMode;
	bool				m_WarnInPlace;
	bool				m_StartRightAway;
	bool				m_ProcessFullDVD;
	char*				m_CMDInputFile;
	int					m_RetVal;
	bool				m_DefaultLogPath;


	bool				m_QuitNow;
	int					m_Timer;
	HANDLE				m_ThreadHandle;
	bool				m_CleanupBackup;

	CRITICAL_SECTION	m_csLock;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CFixVTSDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRun();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnUnref();
	afx_msg void OnBogus();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnRestore();
	afx_msg void OnDeleteBackup();
	afx_msg void OnPause();
	afx_msg void OnInplace();
	afx_msg void OnClose();
	afx_msg void OnRunfull();
	afx_msg void OnOpen();
	//}}AFX_MSG
	BOOL OnToolTipNotify( UINT id, NMHDR * pNMHDR, LRESULT * pResult );
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FIXVTSDLG_H__8849CA41_8885_4178_8047_BB28B35DE116__INCLUDED_)
